Bug 861312 - Strange error when trying to delete a volume that is not fully detached yet
Strange error when trying to delete a volume that is not fully detached yet
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openstack-cinder (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eric Harney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 02:48 EDT by Sandro Mathys
Modified: 2014-01-29 09:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 09:34:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2012-09-28 02:48:25 EDT
Following this test case:
https://fedoraproject.org/wiki/QA:Testcase_attach_a_cinder_volume_to_an_instance

If "nova volume-detach <...>" takes a while and you execute "cinder delete <...>" before the volume was properly detached, you get the error:
ERROR: Invalid volume: Volume status must be available or error (HTTP 400) (Request-ID: req-b39978cf-3352-4cca-a66d-794f41363de9)

Either that's a bug in itself (status should be available?) or the output should be more useful (e.g. "can't delete an attached volume").
Comment 1 Fedora End Of Life 2013-12-21 03:58:43 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Eric Harney 2014-01-29 09:34:12 EST
OpenStack Havana (F19) now has a specific "Volume cannot be deleted while in attached state" message.
Comment 3 Eric Harney 2014-01-29 09:36:17 EST
OpenStack Havana in Fedora 20, that is.

Note You need to log in before you can comment on or make changes to this bug.